// Javascript messsage file

//  shared  messages - used in more than 1 file
var msg_blank = "%s can not be blank.\n";
var msg_space = "Blanks or spaces are not allowed in %s\n";
var msg_blank_in = "Blanks are not allowed in %s\n";
var msg_allspaces = "%s cannot consist solely of spaces\n";
var msg_invalid = "Invalid character or characters in %s\nValid characters are: \n%s\n\n";
var msg_check_invalid = "%s contains an invalid number\n";
var msg_valid_range = "%s is invalid. Valid range is %s to %s\n";
var msg_greater = "%s must be greater than %s \n";
var msg_less = "%s must be less than %s \n";
var msg_first = "First";  // eg. First field of GW must match device IP
var msg_second = "Second";
var msg_third = "Third";
var msg_fourth = "Fourth";
var msg_invalid_netarea = "IP or Gateway address is incorrect.\n";
var msg_invalid_mac = "Invalid MAC address, please enter again.\n";
var msg_invalid_ip = "Invalid IP address, please enter again.\n";
var msg_invalid_mask = "Invalid Subnet Mask, please enter again.\n";
var msg_invalid_gw =  "Invalid Gateway, please enter again.\n";
var msg_invalid_portnumber = "Invalid Port number, valid range is 1 to 65534.\n";
var msg_nameNULL = "The name can not be blank.\n";

//  AccessRes.htm (Internet Access Policy), PortrangeTriggering.htm
var msg_service_name = "Service name";
var msg_endtime_less = "The end time must be after the start time.\n";
var msg_policyname = "Policy Name";
var msg_invalid_keyword = "Invalid Keyword: Can not include \":\" in Keyword.\n" ;
var msg_wrong_URLformat = "Invalid URL, please check the format of the URL.\n";
var msg_blockedsv0_startport = "1st Blocked Service Start Port";
var msg_blockedsv1_startport = "2nd Blocked Service Start Port";
var msg_blockedsv0_endport = "1st Blocked Service Finish Port";
var msg_blockedsv1_endport = "2nd Blocked Service Finish Port";
var msg_portbigger = "Finish Port number must be greater than the Start Port number.\n";

var msg_service_more = "Only two services can be blocked per policy.\n";
var msg_blocked_list = "This Service is already in the blocked list.\n";
var msg_sel_protocol = "Please select a protocol.\n";
var msg_service_exist = "This service name is already in use.\n";
var msg_port_used = "Port range is invalid; one or ports are already assigned to another service.\n";

// administration.htm
var msg_nomatch_pwd = "The password and verification do not match, please enter again.\n";
var msg_rm_port = "Management Port";
var msg_device_name = "Device Name";
var msg_nofile = "Filename can not be blank";
var msg_confirmCfile = "Warning!\nRestoring settings from a config file will erase all the current settings.\nAre you sure you wish to do this?";

// AdvancedWSettings.htm (Advanced Wireless)
var msg_beacon = "Beacon Interval";
var msg_dtim = "DTIM Interval";
var msg_frag = "Fragmentation Threshold";
var msg_rts = "RTS Threshold";


//  appgaming.htm  (Port Range Forwarding)
var msg_r_name = "Application %s: Name ";
var msg_start_port = "Application %s: Start Port";
var msg_end_port = "Application %s: End Port";
var msg_rf_ip = "Application %s: IP";
var msg_Entry = "Entry "; //  e.g. Entry 2 
var msg_portg = "Application %s: start port must be greater than end port.\n";
var msg_ipb = " : IP address must not be blank.\n";
var msg_same_as = " is the same as Entry "; // e.g. Entry 1 is the same as Entry 4


// Diagnostics.htm
var msg_ping_size = "Ping Size";
var msg_ping_number = "Number of Pings";
var msg_ping_interval = "Ping Interval";
var msg_ping_timeout = "Ping Timeout";

// DMZ.htm
var msg_dmzIP = "DMZ IP Address.";

//  EditList.htm  (Internet Access PCs List)
var msg_bad_mac_pc = "MAC address %s is invalid.\n";  
var msg_invalid_ipnum = "IP Address %s is invalid.\n";
var msg_invalid_range1 = "IP address range 1 is invalid.\n";
var msg_invalid_range2 = "IP address range 2 is invalid.\n";


// factorydefaults.htm
var msg_confirmDefault = "Warning!\nLoading the Factory Default Settings will erase all the current settings.\nAre you sure you wish to do this?";

// FirmwareUpgrade.htm  ( copy to FirmwareUpgrade.htm )
var up_msg = "Continue?\nAll existing Internet connections will be terminated.";
var nofile_msg = "No filename provided. Please select the correct file.\n";
var msg_invalid_filename = "Invalid filename provided. please enter again:(*.img)\n";
var finish_msg = "\Firmware Upgrade completed. \nRouter will now restart." + 
"\nPlease check LEDs to see if Router is ready, then re-connect.";

// log.htm
var msg_logviewer_ip = "Logviewer IP address";
var msg_smtp_in = "You must input a smtp server name!";
var msg_email_in = "You must input a email address for log!";
var msg_email_re = "You must input a email address for return!";
var msg_smtp_er = " can not be resolved!";

// Setup.htm
var msg_invalid_wan_ip = "Internet IP address is invalid, please enter again.\n";
var msg_invalid_wan_gw = "Internet Gateway address is invalid, please enter again.\n";
var msg_invalid_wan_mask = "Internet Subnet Mask  is invalid, please enter again.\n";
var msg_primary_dns = "Primary DNS is invalid, please enter again.\n";
var msg_secondary_dns = "Secondary DNS is invalid, please enter again.\n";
var msg_pppoe_idle = "Idle time";
var msg_pppoe_redial = "Redial period";
var msg_pptp_idle = "Idle time";
var msg_pptp_redial = "Redial period";
var msg_mtu_size = "MTU size";
var msg_invalid_lan_ip = "Invalid LAN IP Address, please enter again.\n";
var msg_dhcp_lease = "DHCP Lease Time";
var msg_staticDNS1 = "Static DNS address is invalid, please enter again.\n";
var msg_invalid_win = "Invalid WINs Server Address, please enter again.\n";
var msg_maxuser = "Maximum Number of Users is invalid, valid range is 1 to 254.\n";
var msg_invalid_iprange = "IP address range is invalid, please enter again.\n";
var msg_user_name = "User name";
var msg_account_name = "Account name";
var msg_dhcp_start = "DHCP start IP address range";
var msg_changeIP = "Since the Device's IP address has changed,\nthis connection must be terminated.\n\nPlease wait %s seconds for the restart to be completed,\nand then re-connect using the new IP address";

/* 
var msg_dhcp_lan = "DHCP start ip is the same with lan IP address";
var msg_dhcp_un = "DHCP users numbers is out of range. Must be ";
var msg_dhcp_unm = "DHCP users numbers is out of range. Must be 1";
var msg_dhcp_out0 = "DHCP start ip is out of range. Must be [1-254]";
var msg_dhcp_out1 = "DHCP start ip is out of range. Must be [1-126]";
var msg_dhcp_out2 = "DHCP start ip is out of range. Must be [1-62]";
var msg_dhcp_out3 = "DHCP start ip is out of range. Must be [1-30]";
var msg_dhcp_out4 = "DHCP start ip is out of range. Must be [1-14]";
var msg_dhcp_out5 = "DHCP start ip is out of range. Must be [1-6]";
var msg_dhcp_out6 = "DHCP start ip is out of range. Must be [1-2]";
var msg_dhcp_out7 = "Out of range, please adjust start IP address or user's numbers.";
*/

// setup_ddns.htm
var msg_username = "User name";
var msg_password = "Password";
var msg_hostname = "Hostname";
var msg_email_addr = "User Email Address";
var msg_key = "TZO Password (Key)";
var msg_domain = "Domain Name";

// Setup_routing.htm
var msg_device_null = "Device Name can't be blank.\n";
var msg_invalid_rdest_ip = "Invalid Destination IP address, please enter again.\n";
var msg_invalid_rmask = "Invalid Network Mask, please enter again.\n";
var msg_invalid_rgw = "Invalid Gateway Address, please enter again.\n";
var msg_hopcount = "Hop Count";


// SinglePortForwarding.htm
var msg_mo_no = "Can't modify ";
var msg_mo_pro = "Can't Modify Protocol Value!";
var msg_s_name = "Application %s: Name"
var msg_sf_ip = "Application %s: IP";
var msg_ext_port = "Application %s: External Port";
var msg_int_port = "Application %s: Internal Port";

// static_dhcp.htm  (Static DHCP Client List)
var msg_client_name = "Client %s: Name ";
var msg_client_ip = "Client %s: Invalid IP Address. \n";  
var msg_client_mac = "Client %s: Invalid MAC Address.\n";
// e.g.  Client 7 : Invalid IP address 

// wireless.HTM
var msg_ssid = "SSID";
var msg_ssid_m = "You must input a SSID!";
var msg_out_c = "length is out of range";

// WSecurity.htm  (Wireless Security)
var msg_wep_pass = "Passphrase can not be blank\n";
var msg_hexkey = "Invalid Key. \nHex keys can only include the characters 0~9 and A~F.\nKey size is 10 chars (64bit) or 26 chars (128bit).\n";
var msg_asciikey = "Invalid Key. \nKey size is 5 chars (64bit) or 13 chars (128bit).\n";
var msg_maxpass = "Maximum Passphrase Size is ";
var msg_psk_keysize = "PSK must be from 8 to 63 characters\n";
var msg_wpa = "WPA Key Lifetime";
var msg_wpa2 = "WPA2 Key Lifetime";
var msg_share_in = "Please enter a Shared Key!";

// WMACFilter.htm (Wireless MAC Filter)
var msg_item_mac = "Invalid entry for MAC address ";  // e.g. Invalid entry for MAC address 6 
var msg_mac = "MAC address ";
var msg_item = " and MAC address ";
var msg_same = " are identical.\n";
var msg_mac_er = "The MAC Address length is not correct!!";
// e.g. MAC address 1 and MAC address 4 are identical.

//i_urlf
var msg_no_entries = "No entries selected. Please select 1 or more entries.";
var msg_filter = "Filter string";
//fw_serv
var na_var = "n/a";
var msg_servname = "Service name";
var msg_startp = "Start port number";
var msg_finishp = "Finish port number";
var msg_icmp_type = "ICMP Type";
